#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		zname		lzma
%define		_bindir		/bin
#-----------------------------------------------------------------------------
Name		:	xz
Version		:	5.6.2
Release		:	17.0.10.rel%{?dist}
Summary		:	LZMA compression utilities

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://tukaani.org/xz

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	perl

Requires	:	grep >= 3.0.4
Requires	:	%{name}-libs		=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-, root,root, -)
%doc AUTHORS COPYING COPYING.GPLv2 NEWS README TODO THANKS
%config(noreplace) %{_sysconfdir}/profile.d/colorxzgrep.sh
%config(noreplace) %{_sysconfdir}/profile.d/colorxzgrep.csh
%{_bindir}/un%{zname}
%{_bindir}/unxz
%{_bindir}/xz*
%{_defaultdocdir}/%{name}-%{version}/examples/*
%{_defaultdocdir}/%{name}-%{version}/*.txt
%{_defaultdocdir}/%{name}-%{version}/COPYING.0BSD
%{_mandir}/man1/xz*.1.gz
%{_mandir}/man1/unxz*.1.gz
%{_mandir}/*/man1/lz*.1.gz
%{_mandir}/*/man1/unlzma.1.gz
%{_mandir}/*/man1/xz*.1.gz
%{_mandir}/*/man1/unxz.1.gz

#=============================================================================
%package		libs
Summary		:	Libraries for decoding LZMA compression

#-----------------------------------------------------------------------------
%description		libs
Libraries for decoding files compressed with LZMA or XZ utils.

#-----------------------------------------------------------------------------
%files			libs
%license COPYING
%{_libdir}/lib%{zname}.so.5*


#=============================================================================
%package		static
Summary		:	Statically linked library for decoding LZMA compression

#-----------------------------------------------------------------------------
%description		static
Statically linked library for decoding files compressed with
LZMA or XZ utils.

#-----------------------------------------------------------------------------
%files			static
%license COPYING
%{_libdir}/lib%{zname}.a

#=============================================================================
%package		devel
Summary		:	Devel libraries & headers for liblzma

#-----------------------------------------------------------------------------
Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Devel libraries and headers for liblzma.

#-----------------------------------------------------------------------------
%files			devel
%doc doc/examples*
%dir %{_includedir}/%{zname}
%{_includedir}/%{zname}/*.h
%{_includedir}/%{zname}.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{zname}.pc

#=============================================================================
%package		lzma-compat
Summary		:	Older LZMA format compatibility binaries

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

Obsoletes	:	lzma	< %{version}
Provides	:	lzma	= %{version}

#-----------------------------------------------------------------------------
%description		lzma-compat
The lzma-compat package contains compatibility links for older
commands that deal with the older LZMA format.

#-----------------------------------------------------------------------------
%files			lzma-compat
%{_bindir}/lz*
%{_mandir}/man1/lz*.1.gz
%{_mandir}/man1/unlz*.1.gz
%{_mandir}/de/man1/lz*.1.gz
%{_mandir}/de/man1/unlz*.1.gz
%{_mandir}/fr/man1/unlz*.1.gz

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoreconf -fi
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#checking xz library
%check
%{__make}						\
	LD_LIBRARY_PATH=$PWD/src/liblzma/.libs		\
	check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#installing color scripts
%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/profile.d
install -p						\
	-m 644 %{name}-ok_addon/colorxzgrep.sh		\
	-m 644 %{name}-ok_addon/colorxzgrep.csh		\
	%{buildroot}%{_sysconfdir}/profile.d

%{__rm} -fr %{buildroot}%{_infodir}/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %name
#-----------------------------------------------------------------------------
%changelog
